Imports System.Runtime.Serialization

<DataContract()>
Public Class CustomService
    <DataMember()>
    Property ServiceName As String
    <DataMember()>
    Property Description() As String
    <DataMember()>
    Property CanRestart As Boolean
    <DataMember()>
    Property State() As CustomServiceState
End Class
